Package io.flutter.embedding.android

## Class WindowInfoRepositoryCallbackAdapterWrapper

- java.lang.Object
- - io.flutter.embedding.android.WindowInfoRepositoryCallbackAdapterWrapper

-     public class WindowInfoRepositoryCallbackAdapterWrapper
      extends Object

  Wraps `WindowInfoTrackerCallbackAdapter` in order to be able to mock it during testing.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WindowInfoRepositoryCallbackAdapterWrapper​(androidx.window.java.layout.WindowInfoTrackerCallbackAdapter adapter)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addWindowLayoutInfoListener​(Activity activity, Executor executor, androidx.core.util.Consumer<androidx.window.layout.WindowLayoutInfo> consumer)` |
    `void` | `removeWindowLayoutInfoListener​(androidx.core.util.Consumer<androidx.window.layout.WindowLayoutInfo> consumer)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WindowInfoRepositoryCallbackAdapterWrapper

          public WindowInfoRepositoryCallbackAdapterWrapper​(@NonNull
                                                            androidx.window.java.layout.WindowInfoTrackerCallbackAdapter adapter)

  - ### Method Detail

    - #### addWindowLayoutInfoListener

          public void addWindowLayoutInfoListener​(@NonNull
                                                  Activity activity,
                                                  @NonNull
                                                  Executor executor,
                                                  @NonNull
                                                  androidx.core.util.Consumer<androidx.window.layout.WindowLayoutInfo> consumer)

    - #### removeWindowLayoutInfoListener

          public void removeWindowLayoutInfoListener​(@NonNull
                                                     androidx.core.util.Consumer<androidx.window.layout.WindowLayoutInfo> consumer)